#ifndef __T100X_HAL_RF_H__
#define __T100X_HAL_RF_H__
#include <stdint.h>

void omw_rf_init(void);
uint8_t omw_rf_get_sync_ok(void);
uint8_t omw_rf_get_crc_error(void);

void omw_rf_set_tx_power(int dbm);
int omw_rf_get_rssi(void);

void omw_rf_start_carrier_mode(uint8_t ch);
void omw_rf_stop_carrier_mode();

#endif // __T100X_HAL_RF_H__